<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
<style>

	 div{
        border:2px solid black;
        width:500px;
        height:50px;
        background-color: burlywood;}

</style>

<script type="text/javascript">
	

window.addEventListener("load", function(){

	let botones=[];
		botones=document.querySelectorAll("input");
		
		for(i=0;i<botones.length;i++) {}

	let caja=document.querySelector("#salida");

	botones[i].addEventListener("click", function(e){
		
		e.target caja.innerHTML+="1";
	});

	botones[1].addEventListener("click", function(e){
	
		caja.innerHTML+="2";
	});

	botones[2].addEventListener("click", function(e){
		
		caja.innerHTML+="3";
	});

	botones[3].addEventListener("click", function(e){
		
		caja.innerHTML="";
	});


});

</script>


</head>
<body>

	
	<input type="button" value="1" id="uno"/>
	<input type="button" value="2" id="dos"/>
	<input type="button" value="3" id="tres"/>

	<div id="salida"></div>

	<input type="button" value="C" id="borrar"/>

</body>
</html>